AOZ Studio Beta - Bug #307

For/Next with floating point step as an integer is crashing compiler

03/15/2020 02:19 PM - David Baldwin

Status: Closed
Priority: Normal
Assignee: Francois Lionet
Category:

Target version:

Affected version: 0.9.6.4

Start date: 03/15/2020
Due date:
% Done: 0%

Estimated time: 0:00 hour

Description

For F#=0 to 10 step 0.1
Next F#

Crashes compiler
S#=0.1

For F#=0 to 10 step S#
Next F#

Works

History

#1 - 03/23/2020 06:13 PM - David Baldwin
Fixed in 0.9.7

#2 - 03/23/2020 06:13 PM - David Baldwin

- Status changed from New to Closed
